Subject: bug#27312: 25.2; can't activate fcitx even though env is set up correctly

From: [email-masked]
Date: Wed, 14 Jun 2017 20:10:56 -0400

Leonard Lausen <[email-masked]> writes:

> Even though all environment variables are (afaik) set up correctly, and
> fcitx is working in all other programs, it does not work in emacs GUI
> mode. It works fine if I start emacs in the terminal.

By the "GUI mode" do you mean 'emacs' vs 'emacs -nw'?  Or do you mean
that the you use a different kind of launcher?

> I compiled emacs myself using the Gentoo ebuild.
>
> I would be very thankful for any suggestions. Currently I believe it is
> a bug in emacs (?).
>
> Specifically:
> ➜  ~ cat .xprofile
> export XMODIFIERS=@im=fcitx
> export QT_IM_MODULE=fcitx
> export GTK_IM_MODULE=fcitx
> export LC_CTYPE=zh_CN.UTF-8

If you evaluate (getenv "XMODIFIERS") do you get the expected value?
Does evaluating (setenv "XMODIFIERS" "@im=fcitx") help?